Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## cpw.mods.fml.client.registry
Class RenderingRegistry

    java.lang.Object
      cpw.mods.fml.client.registry.RenderingRegistry

    public class RenderingRegistry

extends Object

Author:
  cpw

Constructor Summary
`RenderingRegistry()`

Method Summary
`static int` | `addNewArmourRendererPrefix(String armor)` Add a new armour prefix to the RenderPlayer
`static int` | `addTextureOverride(String fileToOverride, String fileToAdd)` Add a texture override for the given path and return the used index
`static void` | `addTextureOverride(String path, String overlayPath, int index)` Add a texture override for the given path and index
`static int` | `getNextAvailableRenderId()` Get the next available renderId from the block render ID list
`static int` | `getUniqueTextureIndex(String path)` Get and reserve a unique texture index for the supplied path
`static RenderingRegistry` | `instance()` Deprecated.
`void` | `loadEntityRenderers(Map<Class<? extends Entity>,Render> rendererMap)`
`static void` | `registerBlockHandler(int renderId, ISimpleBlockRenderingHandler handler)` Register the simple block rendering handler This version will not call getRenderId on the passed in handler, instead using the supplied ID, so you can easily re-use the same rendering handler for multiple IDs
`static void` | `registerBlockHandler(ISimpleBlockRenderingHandler handler)` Register a simple block rendering handler
`static void` | `registerEntityRenderingHandler(Class<? extends Entity> entityClass, Render renderer)` Register an entity rendering handler.
`void` | `renderInventoryBlock(RenderBlocks renderer, Block block, int metadata, int modelID)`
`boolean` | `renderItemAsFull3DBlock(int modelId)`
`boolean` | `renderWorldBlock(RenderBlocks renderer, IBlockAccess world, int x, int y, int z, Block block, int modelId)`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### RenderingRegistry

    public RenderingRegistry()

Method Detail

### addNewArmourRendererPrefix

    public static int addNewArmourRendererPrefix(String armor)

  Add a new armour prefix to the RenderPlayer

  Parameters:
    `armor` -

### registerEntityRenderingHandler

    public static void registerEntityRenderingHandler(Class<? extends Entity> entityClass,
                                                      Render renderer)

  Register an entity rendering handler. This will, after mod initialization, be inserted into the main render map for entities

  Parameters:
    `entityClass` -
    `renderer` -

### registerBlockHandler

    public static void registerBlockHandler(ISimpleBlockRenderingHandler handler)

  Register a simple block rendering handler

  Parameters:
    `handler` -

### registerBlockHandler

    public static void registerBlockHandler(int renderId,
                                            ISimpleBlockRenderingHandler handler)

  Register the simple block rendering handler This version will not call getRenderId on the passed in handler, instead using the supplied ID, so you can easily re-use the same rendering handler for multiple IDs

  Parameters:
    `renderId` -
    `handler` -

### getNextAvailableRenderId

    public static int getNextAvailableRenderId()

  Get the next available renderId from the block render ID list

### addTextureOverride

    public static int addTextureOverride(String fileToOverride,
                                         String fileToAdd)

  Add a texture override for the given path and return the used index

  Parameters:
    `fileToOverride` -
    `fileToAdd` -

### addTextureOverride

    public static void addTextureOverride(String path,
                                          String overlayPath,
                                          int index)

  Add a texture override for the given path and index

  Parameters:
    `path` -
    `overlayPath` -
    `index` -

### getUniqueTextureIndex

    public static int getUniqueTextureIndex(String path)

  Get and reserve a unique texture index for the supplied path

  Parameters:
    `path` -

### instance

    @Deprecated
    public static RenderingRegistry instance()

  Deprecated.

### renderWorldBlock

    public boolean renderWorldBlock(RenderBlocks renderer,
                                    IBlockAccess world,
                                    int x,
                                    int y,
                                    int z,
                                    Block block,
                                    int modelId)

### renderInventoryBlock

    public void renderInventoryBlock(RenderBlocks renderer,
                                     Block block,
                                     int metadata,
                                     int modelID)

### renderItemAsFull3DBlock

    public boolean renderItemAsFull3DBlock(int modelId)

### loadEntityRenderers

    public void loadEntityRenderers(Map<Class<? extends Entity>,Render> rendererMap)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD